<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mail.mapper.enterprise.EnterpriseDomainMapper">
    <select id="getPage" resultType="com.fjhx.mail.entity.enterprise.vo.EnterpriseDomainVo">
        select
            ed.id,
            ed.domain_name,
            ed.type,
            ed.receive_host,
            ed.receive_port,
            ed.receive_protocol,
            ed.send_host,
            ed.send_port,
            ed.send_protocol,
            ed.create_user,
            ed.create_time,
            ed.update_user,
            ed.update_time
        from enterprise_domain ed
            ${ew.customSqlSegment}
    </select>

</mapper>
